<?php

App::uses('DiscountCodesController', 'EvDiscount.Controller');

class PromotionsController extends DiscountCodesController {

	public $adminPaginate = array(
		'contain' => array(
			'Currency'
		)
	);
/**
 * form fields - unset the unused fields from discounts
 */
	protected function _adminFormFields() {
		$fields = parent::_adminFormFields();

		unset($fields['Promotion.times_used']);
		unset($fields['Promotion.maximum_uses']);
		unset($fields['Promotion.is_voucher']);

		return $fields;
	}

}


