<?php
$this->extend('/Scaffolds/admin_form');
echo $this->element('Forms/fields', array('fields' => $fields));
// include discount js
$this->Html->script(
	array(
		'EvDiscount.discount-codes.js'
	),
	array(
		'inline' => false
	)
);

$this->append('additionalFormTabs');
if (!empty(Configure::read('EvPromotion.restrictTo'))):
	$currentRestrictions = [];
	if (!empty($this->request->data['CodeRestriction'])):
		$currentRestrictions = $this->request->data['CodeRestriction'];
	endif;
	echo $this->element(
		'form_tab',
		array(
			'title' => __('Code Restrictions'),
			'tabContent' => $this->element(
				'EvDiscount.CodeRestrictions/code-restriction-tab',
				[
					'restrictions' => $restrictions,
					'currentRestrictions' => $currentRestrictions
				]
			),
			'divOptions' => array(
				'class' => 'field-data'
			)
		)
	);
endif;
$this->end();
